---
title: Set schema validation state
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Schema Validation](https://developers.cloudflare.com/api/go/resources/schema_validation)

[Schemas](https://developers.cloudflare.com/api/go/resources/schema_validation/subresources/schemas)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Set schema validation state

client.SchemaValidation.Schemas.Edit(ctx, schemaID, params) (\*[PublicSchema](<https://developers.cloudflare.com/api/go/resources/schema_validation#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)>), error)

PATCH/zones/{zone\_id}/schema\_validation/schemas/{schema\_id}

Enables or disables validation for an uploaded OpenAPI schema without changing the schema document.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Domain API Gateway`

##### ParametersExpand Collapse

schemaID string

UUID.

maxLength36

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20schema_id%20%3E%20(schema)>)

<details>

<summary>

params SchemaEditParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20schema_validation.schemas%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

ValidationEnabled param.Field\[bool]Optional

Body param: Flag whether schema is enabled for validation.

<a href="#(resource)%20schema_validation.schemas%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20validation_enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PublicSchema struct{…}

A schema used in schema validation

</summary>

CreatedAt Time

formatdate-time

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

Kind PublicSchemaKind

The kind of the schema

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20kind">Link to this property</a>

Name string

A human-readable name for the schema

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

SchemaID string

A unique identifier of this schema

maxLength36

minLength36

formatuuid

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20schema_id">Link to this property</a>

Source string

The raw schema, e.g., the OpenAPI schema, either as JSON or YAML

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

ValidationEnabled boolOptional

An indicator if this schema is enabled

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20validation_enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)>)

### Set schema validation state

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/schema_validation"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  publicSchema, err := client.SchemaValidation.Schemas.Edit(
    context.TODO(),
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    schema_validation.SchemaEditParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", publicSchema.SchemaID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "openapi_v3",
    "name": "petstore schema",
    "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "source": "<schema file contents>",
    "validation_enabled": true
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "openapi_v3",
    "name": "petstore schema",
    "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "source": "<schema file contents>",
    "validation_enabled": true
  },
  "success": true
}
```